% funkce pro vypocet aproximace polynomem 2 radu
% f = aprox(x,y,vyrez)
% x - hodnoty osy x
% y - hodnoty prubehu aproximovaneho signalu
% f - vysledna aproximace

function f = aprox(xx,yy,vyrez)

y = vyrez(xx:yy);
x = 0:1:length(y)-1;
p = polyfit(x,y,2);
f = polyval(p,x);


